Skip to main content
POST
/
api
/
decks
/
{deckId}
/
faqs
Create a FAQ
curl --request POST \
  --url https://app.demand-iq.com/api/decks/{deckId}/faqs \
  --header 'Content-Type: application/json' \
  --cookie session= \
  --data '
{
  "userQuestion": "<string>",
  "cannedAnswer": "<string>",
  "relatedSlideId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "faq": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "deckId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "userQuestion": "<string>",
    "cannedAnswer": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "relatedSlideId": "<string>",
    "audioUrl": "<string>",
    "wordTimings": [
      {
        "word": "<string>",
        "startTime": 123,
        "endTime": 123
      }
    ]
  },
  "warning": "<string>"
}

Authorizations

session
string
cookie
required

Session cookie obtained from POST /api/auth/login.

Path Parameters

deckId
string<uuid>
required

UUID of the deck

Body

application/json
userQuestion
string
required
cannedAnswer
string
required

Response

FAQ created

faq
object
warning
string

Present if audio generation failed (FAQ is still saved)